changeset 35d0545b5c48 in tryton-overlay:default
details: https://hg.tryton.org/tryton-overlay?cmd=changeset;node=35d0545b5c48
description:
app-office/trytond: versions bump
(Portage version: 3.0.4/hg/Linux x86_64, signed Manifest commit with
key 0x574F6EFF4E477517)
Signed-off-by: Cédric Krier <[email protected]>
diffstat:
app-office/trytond/Manifest | 28 ++++----
app-office/trytond/trytond-5.0.25.ebuild | 100 ------------------------------
app-office/trytond/trytond-5.0.26.ebuild | 100 ++++++++++++++++++++++++++++++
app-office/trytond/trytond-5.4.15.ebuild | 101 ------------------------------
app-office/trytond/trytond-5.4.16.ebuild | 101 ++++++++++++++++++++++++++++++
app-office/trytond/trytond-5.6.5.ebuild | 102 -------------------------------
app-office/trytond/trytond-5.6.6.ebuild | 102 +++++++++++++++++++++++++++++++
7 files changed, 317 insertions(+), 317 deletions(-)
diffs (675 lines):
diff -r db657cf27fbc -r 35d0545b5c48 app-office/trytond/Manifest
--- a/app-office/trytond/Manifest Wed Sep 16 23:16:51 2020 +0200
+++ b/app-office/trytond/Manifest Wed Sep 16 23:18:44 2020 +0200
@@ -6,27 +6,27 @@
AUX trytond-init.d 538 BLAKE2B
9e1abe67243c8828941f5b981208dc9874d65de52113421b13676026558a3cd95fdfd8f4ad47744c91b8d02c0b25def4bf00334a26f41edbc433fb6c7c9a825f
SHA512
a86febe62bb7921b2808b9896e67c7c9b20c3082ee324f1562146550681c64e443e4548fdae6b782f4b84060181331eebf8165d6ef9f37baca3556c2ee69438d
AUX trytond-init.d-2 799 BLAKE2B
78dcf251feb3e9f04ba5014359c8da069cc54e14a626f6d9e03306008a30e4e412354c409ad7bb8beb47dfa65e1cc9eb12ab9459ea56f47e2994b25f113297c0
SHA512
1c6f1aa4fa8ad1da7e88e2ed5c53646802747c3ea1b4108ec51b400214eb7dd0a586548fa76d864be0087d24c1b9913343cba28339323e7a1a7fa370a8bce1c6
AUX trytond-worker-init.d 827 BLAKE2B
e87b93697abbbf1be85bfce382ffafe67fa951cd60cab530f64854485fa3d729524936356ec9dc9e2844addb3f92e04f73168e1f977003e1ea59e20126706fa1
SHA512
4d49e4b27d089462c86ecad6a7b9ba2143acbdeb60f2287305dedc8c9f8843487a8ab870e9dd9f883f4582949d4672a470d0f2498618aec54feee4db4c4d256b
-DIST trytond-5.0.25.tar.gz 645944 BLAKE2B
bc7cae076493cbe59acbfba571fb699693774d36532b251bcded56ff9d24dcaf43b6afbdbe41b6a8947b99d73a3e7162889c9edcb5fc1e5a24a4aff387d042c1
SHA512
56d768849aef41a2a35cf0be6338abe6c04d5c2cabaca92ca3b18ddc221d50ee84dd377238a0bd42ddb16b7da0dd8bdebebd7ab25721d5a18155f3992b3c5fe0
+DIST trytond-5.0.26.tar.gz 646021 BLAKE2B
9a97a32cc4d9f0c9310ce2b7f62aab3d8e2868e37a8d20acb77fe4a704cb1eebd162e5fd4fc9fdc497402da961b65d55366d77060217e17956f73b0dcdb30635
SHA512
1c14871eef421ae9e504205a0929155c36cd954e1f41ac463d7bbea96d83b0082d04a13b014c86c3ae0f89876fc7aa82801caa65dd2fcba2fa9a7466bb9407b1
DIST trytond-5.2.20.tar.gz 733637 BLAKE2B
0c05bf913e5747a5ca02b605d0e838a8475f39fa47c1ad92071c9d4b1d974df1b019cbd7ab135e03e33c8c8e39e0347bb3a74915cbb4153203834cd0ebac51b4
SHA512
5bec83a6ccf566693358bdc58764ef8329d15673ce28b93e3d80923d0e028a3c40afacb54d604b4f9bd889133ff19efe8d94143c69924c0319c19724990b994a
-DIST trytond-5.4.15.tar.gz 684097 BLAKE2B
19014148ee163e09675a721b6f3d854759b59104e5c0dd885ad43e467aa45bd56643cc82a7d39c92f7e63ac1c359657fab46fbaade612a55a19a88dadefd5f77
SHA512
8b211ea0297af036cdd40c566060d55d36b1c91a2c9bae6461c151269954b88b98dadd288aa11c20f73bc5725fe5ef5722760c7f6ffc3a8825138f6a6ec66414
-DIST trytond-5.6.5.tar.gz 710992 BLAKE2B
4aef7ff7badccde9de55e73e765f2e9c3b4abbba6ab293b8c8bbb653b79a3a6c72135ae1d9787e8e9a21a8d5fe16b168e0adb9dbc3f1d6eb2b0f52fcce12ec11
SHA512
c479801112cb3737a8ba2d2269296e9ab044c58f3cddbe4df3dca8ee72591f612b54f32d274c20135ac6a05e8bbb7051c576e60e61125dff568b393c7af7b2f0
-EBUILD trytond-5.0.25.ebuild 2798 BLAKE2B
abb5bab19a7c6571da268b47116c7b4817b5036f86c3676f4d2628c0b27e6871bdda7111609877490515591cca74c42fcdd010544589328fd2aa9ba0addc418d
SHA512
9b3f909236ee8d4c459fc20621a5105364a8eefcd41fec3b2c0db4ad62615f26db09f1144aa1bc5df2da8d9d4720a2d980820d4ead95d4b29ac4bb2bbed7982e
+DIST trytond-5.4.16.tar.gz 684198 BLAKE2B
bd59ff841eb5013da132754496fd28d8f7df6246c8c68afb2336f8b741a8b13feab0f407b455d57e8b2fc7b1096d8e58cc4aee25785e9f610ffd824bdf0c8d64
SHA512
dccf8332d6aaf26954c63f847b0f2bcc5372ddb5a17839d88e7b7333312964c630cc9562f794fdbd68f02c9b9b8e48173b12d3c4ddc1ad235f30a1143a2550a6
+DIST trytond-5.6.6.tar.gz 711031 BLAKE2B
b0ff496cc456de6352485eff3150d66b25d6ed186862b85e1b21407218fc741323742ce3ecf4d4a5b7a3017132a9512af6321e4b018507b3721e1e3453788f8e
SHA512
e94fb43dcf1b58cf9c9d6eb817b3ca6e420291128679aaec0293acb09f3a53112cc078da7f2af893b0ca3fb73ac283a7491e24a78a0ea54fa74ef53fee0fd635
+EBUILD trytond-5.0.26.ebuild 2798 BLAKE2B
abb5bab19a7c6571da268b47116c7b4817b5036f86c3676f4d2628c0b27e6871bdda7111609877490515591cca74c42fcdd010544589328fd2aa9ba0addc418d
SHA512
9b3f909236ee8d4c459fc20621a5105364a8eefcd41fec3b2c0db4ad62615f26db09f1144aa1bc5df2da8d9d4720a2d980820d4ead95d4b29ac4bb2bbed7982e
EBUILD trytond-5.2.20.ebuild 2859 BLAKE2B
5365d67cbe97f899b44cc4c21be4903a3ffcad0638916ca4cb4eea27e15ea44adaaa09ba791bfdbbd0f94b23e4e25a5066b3ffb8244381b0267deb819db48ad9
SHA512
67b71a10e355f59d2e7026dd5b846cf805345ce2de9967c8b893d6e52d50f60977eac0588ed69f63b8dc394b2ef5928c919e7642165bc0b403c792732d57497b
-EBUILD trytond-5.4.15.ebuild 2875 BLAKE2B
30f2ccba68ca47329a3b99100a2a497efcf5ce7ac59194319c911b70a255556404094bc41036d881975e816afdce05ded67be507b2e27728fc0dac1637a8fdba
SHA512
aacbb1f8400d95277ca9af82448754ba19c7081d325a363ac9cc11579f97158205e38772c5773e4c61824a34d8435ceead3f9af306b42ea2d28e5c79c21e2fbc
-EBUILD trytond-5.6.5.ebuild 2936 BLAKE2B
7642ab8e207b9d186e26825b2f58bb5a691452a4f21651642f138f4c2a420d7a15fe8a93914814ab06ed9e10f2105c6f30987d0c5b9ba344a64955202fc623bd
SHA512
5c7b72b5ceb0adb7181974e309e7b4a94ae69aa8fd3d81899e947feca3a0e52e5853756ae2d2cc72ea73082de6d7a2392309440d425340921fd0aaf1ee08b7e8
+EBUILD trytond-5.4.16.ebuild 2875 BLAKE2B
30f2ccba68ca47329a3b99100a2a497efcf5ce7ac59194319c911b70a255556404094bc41036d881975e816afdce05ded67be507b2e27728fc0dac1637a8fdba
SHA512
aacbb1f8400d95277ca9af82448754ba19c7081d325a363ac9cc11579f97158205e38772c5773e4c61824a34d8435ceead3f9af306b42ea2d28e5c79c21e2fbc
+EBUILD trytond-5.6.6.ebuild 2936 BLAKE2B
7642ab8e207b9d186e26825b2f58bb5a691452a4f21651642f138f4c2a420d7a15fe8a93914814ab06ed9e10f2105c6f30987d0c5b9ba344a64955202fc623bd
SHA512
5c7b72b5ceb0adb7181974e309e7b4a94ae69aa8fd3d81899e947feca3a0e52e5853756ae2d2cc72ea73082de6d7a2392309440d425340921fd0aaf1ee08b7e8
MISC ChangeLog 22532 BLAKE2B
391afdd0a9c008f8d3ab552eec64ffcd171c4df73dd3aefbc4b7834bb2f6ea3edab7821405435f2a9e416563fad3e0a3d75f653872f7244b4768537a544611b4
SHA512
f7edb623ed4a20b48ba8e81ee6f0c14942da036b9d37ab5be85ee1aac64e2968f65b4cc1d1c4c9a9c1219ddb020d53ef5ef115cc6acc32fce7ab26ab8a4efb4d
MISC metadata.xml 613 BLAKE2B
3b833ae87391edd14ed37da8d01ff0368b774c7013160eae7e7141775c4168098459bbac1ccdf2cc5d90b502ebc9110da0c8dd6c4b3175b0f020943d72545fc0
SHA512
08cc597867722e300cb6357d15305d977bad6cd95677fe5fc829cea91ec0dfcdcae2993a4d7b14744c01022c26312aa70819417e6e3ce593210d380cb0077385
-----BEGIN PGP SIGNATURE-----
Version: GnuPG v2
-iQGTBAEBCAB9FiEEdP/VdIYNMe45RAljV09u/05HdRcFAl8m9WBfFIAAAAAALgAo
+iQGTBAEBCAB9FiEEdP/VdIYNMe45RAljV09u/05HdRcFAl9igTRfFIAAAAAALgAo
aXNzdWVyLWZwckBub3RhdGlvbnMub3BlbnBncC5maWZ0aGhvcnNlbWFuLm5ldDc0
RkZENTc0ODYwRDMxRUUzOTQ0MDk2MzU3NEY2RUZGNEU0Nzc1MTcACgkQV09u/05H
-dRc5NQf+MgA7LOfdj2k+rkPJwPGiryX8cNYS7HHd//6Ns8hgjOTCPxMUNg0+ZVE/
-p2jNJqcJ7bx6PTdChrLSzonhg/PuJc8Q1qwsQqxjMnNmF7rsTnxQJyAcybOPrLAA
-cWZij90PUBlZ3be1LShmvPqSHgXX4s/jKqlyHlwf0orXcpshuwhVPQ2haoyflPju
-9eSVBYPgbFwNxlIDUQt+DxS2lIWl5+4mk5tOrYmz6F5MlI+NCmf6ZMRKf380K3Ai
-tb5Jb5n5Ah0J1H/t+Raudri5dN5CC6ANGQLK9+tJHpoJNuSGPrmoqOM+9ScVReoj
-MxcdqmkAvI7Qf5sLlvGxAlFFz/QL1A==
-=cIcR
+dRceBwgAl75qddo2j6emWi5gRLQ16aHlvsc5dsqwwI2/PFkAtSWr29a1cZn1VlHt
+9l0/DOQzvvMr6ND5fdZMkLSMwKPYP/MRjl4RJqZebhX76lrHli38EYTCcsRwgDcu
+qpadWaqW0AlumgjiMiM3QaBaZJRjOte+Qb3L8dQJZ2sF6SjDBc03geWNPl4/ED5f
+8WEqcibf+rwuyRXPbc+baJ9IGyJunBHpmebjZEMnvR26b7eRM7lFgsZCjmIypyzA
+QC8Uvdun3eGgK7kJGKMIHjD+wXrSqotnmRpi7kGqnDw5spJuytmZijHTgtEpk3sd
+UyKXKCR7G+UjfiMRwtVBb1h4C8cSwQ==
+=FwIV
-----END PGP SIGNATURE-----
diff -r db657cf27fbc -r 35d0545b5c48 app-office/trytond/trytond-5.0.25.ebuild
--- a/app-office/trytond/trytond-5.0.25.ebuild Wed Sep 16 23:16:51 2020 +0200
+++ /dev/null Thu Jan 01 00:00:00 1970 +0000
@@ -1,100 +0,0 @@
-# Copyright 1999-2020 Gentoo Authors
-# Distributed under the terms of the GNU General Public License v2
-
-EAPI=7
-PYTHON_COMPAT=( python{3_4,3_5,3_6} )
-
-inherit distutils-r1
-
-DESCRIPTION="A three-tiers high-level general purpose business application
framework"
-HOMEPAGE="http://www.tryton.org/"
-SRC_URI="mirror://pypi/${PN:0:1}/${PN}/${P}.tar.gz"
-
-LICENSE="GPL-3"
-SLOT="0"
-KEYWORDS="~amd64 ~x86"
-IUSE="doc graphviz mysql +postgres sqlite levenshtein bcrypt html2text test"
-
-RDEPEND="acct-group/trytond
- acct-user/trytond
- postgres? ( >=dev-python/psycopg-2[$PYTHON_USEDEP] )
- sqlite? ( dev-lang/python:*[sqlite] )
- >=dev-python/lxml-2.0[$PYTHON_USEDEP]
- >=dev-python/relatorio-0.7[fodt,$PYTHON_USEDEP]
- dev-python/genshi[$PYTHON_USEDEP]
- dev-python/python-dateutil[$PYTHON_USEDEP]
- dev-python/polib[$PYTHON_USEDEP]
- >=dev-python/python-sql-0.5[$PYTHON_USEDEP]
- <dev-python/werkzeug-1.0[$PYTHON_USEDEP]
- dev-python/wrapt[$PYTHON_USEDEP]
- dev-python/passlib[$PYTHON_USEDEP]
- graphviz? ( dev-python/pydot[$PYTHON_USEDEP] )
- levenshtein? ( dev-python/python-levenshtein[$PYTHON_USEDEP] )
- bcrypt? ( dev-python/bcrypt[$PYTHON_USEDEP] )
- html2text? ( dev-python/html2text[$PYTHON_USEDEP] )"
-DEPEND="${RDEPEND}
- dev-python/setuptools[$PYTHON_USEDEP]
- doc? ( >=dev-python/sphinx-0.3 )
- test? (
- dev-lang/python:*[sqlite]
- )"
-
-src_compile() {
- distutils-r1_src_compile
-
- if use doc; then
- pushd doc > /dev/null
- emake html || die "Generation of HTML documentation failed"
- popd > /dev/null
- fi
-}
-
-src_install() {
- distutils-r1_src_install
-
- newinitd "${FILESDIR}"/trytond-init.d-2 trytond
- newinitd "${FILESDIR}"/trytond-cron-init.d-2 trytond-cron
- newinitd "${FILESDIR}"/trytond-worker-init.d trytond-worker
- newconfd "${FILESDIR}"/trytond-conf.d-2 trytond
- newconfd "${FILESDIR}"/trytond-conf.d-2 trytond-cron
- newconfd "${FILESDIR}"/trytond-conf.d-2 trytond-worker
- keepdir /var/log/trytond
- keepdir /var/lib/trytond
- fperms 770 /var/lib/trytond
-
- dodoc CHANGELOG COPYRIGHT README
- if use doc; then
- docinto html
- dodoc -r doc/_build/html/*
- fi
-}
-
-python_test() {
- DB_NAME=":memory:" esetup.py test || die
-}
-
-pkg_preinst() {
- fowners trytond:trytond /var/log/trytond
- fowners trytond:trytond /var/lib/trytond
-}
-
-pkg_postinst() {
- if use postgres; then
- elog "In order to setup the initial database, run:"
- elog " emerge --config =${CATEGORY}/${PF}"
- elog "Be sure the database is started before"
- fi
-}
-
-pquery() {
- psql -q -At -U postgres -d template1 -c "$@"
-}
-
-pkg_config() {
- einfo "In the following, the 'postgres' user will be used."
- if ! pquery "SELECT usename FROM pg_user WHERE usename = 'trytond'" |
grep -q trytond; then
- ebegin "Creating database user trytond"
- createuser --username=postgres --createdb --no-adduser trytond
- eend $? || die "Failed to create database user"
- fi
-}
diff -r db657cf27fbc -r 35d0545b5c48 app-office/trytond/trytond-5.0.26.ebuild
--- /dev/null Thu Jan 01 00:00:00 1970 +0000
+++ b/app-office/trytond/trytond-5.0.26.ebuild Wed Sep 16 23:18:44 2020 +0200
@@ -0,0 +1,100 @@
+# Copyright 1999-2020 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+PYTHON_COMPAT=( python{3_4,3_5,3_6} )
+
+inherit distutils-r1
+
+DESCRIPTION="A three-tiers high-level general purpose business application
framework"
+HOMEPAGE="http://www.tryton.org/"
+SRC_URI="mirror://pypi/${PN:0:1}/${PN}/${P}.tar.gz"
+
+LICENSE="GPL-3"
+SLOT="0"
+KEYWORDS="~amd64 ~x86"
+IUSE="doc graphviz mysql +postgres sqlite levenshtein bcrypt html2text test"
+
+RDEPEND="acct-group/trytond
+ acct-user/trytond
+ postgres? ( >=dev-python/psycopg-2[$PYTHON_USEDEP] )
+ sqlite? ( dev-lang/python:*[sqlite] )
+ >=dev-python/lxml-2.0[$PYTHON_USEDEP]
+ >=dev-python/relatorio-0.7[fodt,$PYTHON_USEDEP]
+ dev-python/genshi[$PYTHON_USEDEP]
+ dev-python/python-dateutil[$PYTHON_USEDEP]
+ dev-python/polib[$PYTHON_USEDEP]
+ >=dev-python/python-sql-0.5[$PYTHON_USEDEP]
+ <dev-python/werkzeug-1.0[$PYTHON_USEDEP]
+ dev-python/wrapt[$PYTHON_USEDEP]
+ dev-python/passlib[$PYTHON_USEDEP]
+ graphviz? ( dev-python/pydot[$PYTHON_USEDEP] )
+ levenshtein? ( dev-python/python-levenshtein[$PYTHON_USEDEP] )
+ bcrypt? ( dev-python/bcrypt[$PYTHON_USEDEP] )
+ html2text? ( dev-python/html2text[$PYTHON_USEDEP] )"
+DEPEND="${RDEPEND}
+ dev-python/setuptools[$PYTHON_USEDEP]
+ doc? ( >=dev-python/sphinx-0.3 )
+ test? (
+ dev-lang/python:*[sqlite]
+ )"
+
+src_compile() {
+ distutils-r1_src_compile
+
+ if use doc; then
+ pushd doc > /dev/null
+ emake html || die "Generation of HTML documentation failed"
+ popd > /dev/null
+ fi
+}
+
+src_install() {
+ distutils-r1_src_install
+
+ newinitd "${FILESDIR}"/trytond-init.d-2 trytond
+ newinitd "${FILESDIR}"/trytond-cron-init.d-2 trytond-cron
+ newinitd "${FILESDIR}"/trytond-worker-init.d trytond-worker
+ newconfd "${FILESDIR}"/trytond-conf.d-2 trytond
+ newconfd "${FILESDIR}"/trytond-conf.d-2 trytond-cron
+ newconfd "${FILESDIR}"/trytond-conf.d-2 trytond-worker
+ keepdir /var/log/trytond
+ keepdir /var/lib/trytond
+ fperms 770 /var/lib/trytond
+
+ dodoc CHANGELOG COPYRIGHT README
+ if use doc; then
+ docinto html
+ dodoc -r doc/_build/html/*
+ fi
+}
+
+python_test() {
+ DB_NAME=":memory:" esetup.py test || die
+}
+
+pkg_preinst() {
+ fowners trytond:trytond /var/log/trytond
+ fowners trytond:trytond /var/lib/trytond
+}
+
+pkg_postinst() {
+ if use postgres; then
+ elog "In order to setup the initial database, run:"
+ elog " emerge --config =${CATEGORY}/${PF}"
+ elog "Be sure the database is started before"
+ fi
+}
+
+pquery() {
+ psql -q -At -U postgres -d template1 -c "$@"
+}
+
+pkg_config() {
+ einfo "In the following, the 'postgres' user will be used."
+ if ! pquery "SELECT usename FROM pg_user WHERE usename = 'trytond'" |
grep -q trytond; then
+ ebegin "Creating database user trytond"
+ createuser --username=postgres --createdb --no-adduser trytond
+ eend $? || die "Failed to create database user"
+ fi
+}
diff -r db657cf27fbc -r 35d0545b5c48 app-office/trytond/trytond-5.4.15.ebuild
--- a/app-office/trytond/trytond-5.4.15.ebuild Wed Sep 16 23:16:51 2020 +0200
+++ /dev/null Thu Jan 01 00:00:00 1970 +0000
@@ -1,101 +0,0 @@
-# Copyright 1999-2020 Gentoo Authors
-# Distributed under the terms of the GNU General Public License v2
-
-EAPI=7
-PYTHON_COMPAT=( python{3_5,3_6,3_7} )
-
-inherit distutils-r1
-
-DESCRIPTION="A three-tiers high-level general purpose business application
framework"
-HOMEPAGE="http://www.tryton.org/"
-SRC_URI="mirror://pypi/${PN:0:1}/${PN}/${P}.tar.gz"
-
-LICENSE="GPL-3"
-SLOT="0"
-KEYWORDS="~amd64 ~x86"
-IUSE="doc graphviz mysql +postgres sqlite levenshtein bcrypt html2text
coroutine test"
-
-RDEPEND="acct-group/trytond
- acct-user/trytond
- postgres? ( >=dev-python/psycopg-2.5.4[$PYTHON_USEDEP] )
- sqlite? ( dev-lang/python:*[sqlite] )
- >=dev-python/lxml-2.0[$PYTHON_USEDEP]
- >=dev-python/relatorio-0.7[fodt,$PYTHON_USEDEP]
- dev-python/genshi[$PYTHON_USEDEP]
- dev-python/python-dateutil[$PYTHON_USEDEP]
- dev-python/polib[$PYTHON_USEDEP]
- >=dev-python/python-sql-0.5[$PYTHON_USEDEP]
- dev-python/werkzeug[$PYTHON_USEDEP]
- dev-python/wrapt[$PYTHON_USEDEP]
- dev-python/passlib[$PYTHON_USEDEP]
- graphviz? ( dev-python/pydot[$PYTHON_USEDEP] )
- levenshtein? ( dev-python/python-levenshtein[$PYTHON_USEDEP] )
- bcrypt? ( dev-python/passlib[bcrypt,$PYTHON_USEDEP] )
- html2text? ( dev-python/html2text[$PYTHON_USEDEP] )
- coroutine? ( >=dev-python/gevent-1.1[$PYTHON_USEDEP] )"
-DEPEND="${RDEPEND}
- dev-python/setuptools[$PYTHON_USEDEP]
- doc? ( >=dev-python/sphinx-0.3 )
- test? (
- dev-lang/python:*[sqlite]
- )"
-
-src_compile() {
- distutils-r1_src_compile
-
- if use doc; then
- pushd doc > /dev/null
- emake html || die "Generation of HTML documentation failed"
- popd > /dev/null
- fi
-}
-
-src_install() {
- distutils-r1_src_install
-
- newinitd "${FILESDIR}"/trytond-init.d-2 trytond
- newinitd "${FILESDIR}"/trytond-cron-init.d-2 trytond-cron
- newinitd "${FILESDIR}"/trytond-worker-init.d trytond-worker
- newconfd "${FILESDIR}"/trytond-conf.d-2 trytond
- newconfd "${FILESDIR}"/trytond-conf.d-2 trytond-cron
- newconfd "${FILESDIR}"/trytond-conf.d-2 trytond-worker
- keepdir /var/log/trytond
- keepdir /var/lib/trytond
- fperms 770 /var/lib/trytond
-
- dodoc CHANGELOG COPYRIGHT README.rst
- if use doc; then
- docinto html
- dodoc -r doc/_build/html/*
- fi
-}
-
-python_test() {
- DB_NAME=":memory:" esetup.py test || die
-}
-
-pkg_preinst() {
- fowners trytond:trytond /var/log/trytond
- fowners trytond:trytond /var/lib/trytond
-}
-
-pkg_postinst() {
- if use postgres; then
- elog "In order to setup the initial database, run:"
- elog " emerge --config =${CATEGORY}/${PF}"
- elog "Be sure the database is started before"
- fi
-}
-
-pquery() {
- psql -q -At -U postgres -d template1 -c "$@"
-}
-
-pkg_config() {
- einfo "In the following, the 'postgres' user will be used."
- if ! pquery "SELECT usename FROM pg_user WHERE usename = 'trytond'" |
grep -q trytond; then
- ebegin "Creating database user trytond"
- createuser --username=postgres --createdb --no-adduser trytond
- eend $? || die "Failed to create database user"
- fi
-}
diff -r db657cf27fbc -r 35d0545b5c48 app-office/trytond/trytond-5.4.16.ebuild
--- /dev/null Thu Jan 01 00:00:00 1970 +0000
+++ b/app-office/trytond/trytond-5.4.16.ebuild Wed Sep 16 23:18:44 2020 +0200
@@ -0,0 +1,101 @@
+# Copyright 1999-2020 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+PYTHON_COMPAT=( python{3_5,3_6,3_7} )
+
+inherit distutils-r1
+
+DESCRIPTION="A three-tiers high-level general purpose business application
framework"
+HOMEPAGE="http://www.tryton.org/"
+SRC_URI="mirror://pypi/${PN:0:1}/${PN}/${P}.tar.gz"
+
+LICENSE="GPL-3"
+SLOT="0"
+KEYWORDS="~amd64 ~x86"
+IUSE="doc graphviz mysql +postgres sqlite levenshtein bcrypt html2text
coroutine test"
+
+RDEPEND="acct-group/trytond
+ acct-user/trytond
+ postgres? ( >=dev-python/psycopg-2.5.4[$PYTHON_USEDEP] )
+ sqlite? ( dev-lang/python:*[sqlite] )
+ >=dev-python/lxml-2.0[$PYTHON_USEDEP]
+ >=dev-python/relatorio-0.7[fodt,$PYTHON_USEDEP]
+ dev-python/genshi[$PYTHON_USEDEP]
+ dev-python/python-dateutil[$PYTHON_USEDEP]
+ dev-python/polib[$PYTHON_USEDEP]
+ >=dev-python/python-sql-0.5[$PYTHON_USEDEP]
+ dev-python/werkzeug[$PYTHON_USEDEP]
+ dev-python/wrapt[$PYTHON_USEDEP]
+ dev-python/passlib[$PYTHON_USEDEP]
+ graphviz? ( dev-python/pydot[$PYTHON_USEDEP] )
+ levenshtein? ( dev-python/python-levenshtein[$PYTHON_USEDEP] )
+ bcrypt? ( dev-python/passlib[bcrypt,$PYTHON_USEDEP] )
+ html2text? ( dev-python/html2text[$PYTHON_USEDEP] )
+ coroutine? ( >=dev-python/gevent-1.1[$PYTHON_USEDEP] )"
+DEPEND="${RDEPEND}
+ dev-python/setuptools[$PYTHON_USEDEP]
+ doc? ( >=dev-python/sphinx-0.3 )
+ test? (
+ dev-lang/python:*[sqlite]
+ )"
+
+src_compile() {
+ distutils-r1_src_compile
+
+ if use doc; then
+ pushd doc > /dev/null
+ emake html || die "Generation of HTML documentation failed"
+ popd > /dev/null
+ fi
+}
+
+src_install() {
+ distutils-r1_src_install
+
+ newinitd "${FILESDIR}"/trytond-init.d-2 trytond
+ newinitd "${FILESDIR}"/trytond-cron-init.d-2 trytond-cron
+ newinitd "${FILESDIR}"/trytond-worker-init.d trytond-worker
+ newconfd "${FILESDIR}"/trytond-conf.d-2 trytond
+ newconfd "${FILESDIR}"/trytond-conf.d-2 trytond-cron
+ newconfd "${FILESDIR}"/trytond-conf.d-2 trytond-worker
+ keepdir /var/log/trytond
+ keepdir /var/lib/trytond
+ fperms 770 /var/lib/trytond
+
+ dodoc CHANGELOG COPYRIGHT README.rst
+ if use doc; then
+ docinto html
+ dodoc -r doc/_build/html/*
+ fi
+}
+
+python_test() {
+ DB_NAME=":memory:" esetup.py test || die
+}
+
+pkg_preinst() {
+ fowners trytond:trytond /var/log/trytond
+ fowners trytond:trytond /var/lib/trytond
+}
+
+pkg_postinst() {
+ if use postgres; then
+ elog "In order to setup the initial database, run:"
+ elog " emerge --config =${CATEGORY}/${PF}"
+ elog "Be sure the database is started before"
+ fi
+}
+
+pquery() {
+ psql -q -At -U postgres -d template1 -c "$@"
+}
+
+pkg_config() {
+ einfo "In the following, the 'postgres' user will be used."
+ if ! pquery "SELECT usename FROM pg_user WHERE usename = 'trytond'" |
grep -q trytond; then
+ ebegin "Creating database user trytond"
+ createuser --username=postgres --createdb --no-adduser trytond
+ eend $? || die "Failed to create database user"
+ fi
+}
diff -r db657cf27fbc -r 35d0545b5c48 app-office/trytond/trytond-5.6.5.ebuild
--- a/app-office/trytond/trytond-5.6.5.ebuild Wed Sep 16 23:16:51 2020 +0200
+++ /dev/null Thu Jan 01 00:00:00 1970 +0000
@@ -1,102 +0,0 @@
-# Copyright 1999-2020 Gentoo Authors
-# Distributed under the terms of the GNU General Public License v2
-
-EAPI=7
-PYTHON_COMPAT=( python3_{5..8} )
-
-inherit distutils-r1
-
-DESCRIPTION="A three-tiers high-level general purpose business application
framework"
-HOMEPAGE="http://www.tryton.org/"
-SRC_URI="mirror://pypi/${PN:0:1}/${PN}/${P}.tar.gz"
-
-LICENSE="GPL-3"
-SLOT="0"
-KEYWORDS="~amd64 ~x86"
-IUSE="doc graphviz mysql +postgres sqlite levenshtein bcrypt html2text
weasyprint coroutine test"
-
-RDEPEND="acct-group/trytond
- acct-user/trytond
- postgres? ( >=dev-python/psycopg-2.5.4[$PYTHON_USEDEP] )
- sqlite? ( dev-lang/python:*[sqlite] )
- >=dev-python/lxml-2.0[$PYTHON_USEDEP]
- >=dev-python/relatorio-0.7[fodt,$PYTHON_USEDEP]
- dev-python/genshi[$PYTHON_USEDEP]
- dev-python/python-dateutil[$PYTHON_USEDEP]
- dev-python/polib[$PYTHON_USEDEP]
- >=dev-python/python-sql-0.5[$PYTHON_USEDEP]
- dev-python/werkzeug[$PYTHON_USEDEP]
- dev-python/wrapt[$PYTHON_USEDEP]
- dev-python/passlib[$PYTHON_USEDEP]
- graphviz? ( dev-python/pydot[$PYTHON_USEDEP] )
- levenshtein? ( dev-python/python-levenshtein[$PYTHON_USEDEP] )
- bcrypt? ( dev-python/passlib[bcrypt,$PYTHON_USEDEP] )
- html2text? ( dev-python/html2text[$PYTHON_USEDEP] )
- weasyprint? ( dev-python/weasyprint[$PYTHON_USEDEP] )
- coroutine? ( >=dev-python/gevent-1.1[$PYTHON_USEDEP] )"
-DEPEND="${RDEPEND}
- dev-python/setuptools[$PYTHON_USEDEP]
- doc? ( >=dev-python/sphinx-0.3 )
- test? (
- dev-lang/python:*[sqlite]
- )"
-
-src_compile() {
- distutils-r1_src_compile
-
- if use doc; then
- pushd doc > /dev/null
- emake html || die "Generation of HTML documentation failed"
- popd > /dev/null
- fi
-}
-
-src_install() {
- distutils-r1_src_install
-
- newinitd "${FILESDIR}"/trytond-init.d-2 trytond
- newinitd "${FILESDIR}"/trytond-cron-init.d-2 trytond-cron
- newinitd "${FILESDIR}"/trytond-worker-init.d trytond-worker
- newconfd "${FILESDIR}"/trytond-conf.d-2 trytond
- newconfd "${FILESDIR}"/trytond-conf.d-2 trytond-cron
- newconfd "${FILESDIR}"/trytond-conf.d-2 trytond-worker
- keepdir /var/log/trytond
- keepdir /var/lib/trytond
- fperms 770 /var/lib/trytond
-
- dodoc CHANGELOG COPYRIGHT README.rst
- if use doc; then
- docinto html
- dodoc -r doc/_build/html/*
- fi
-}
-
-python_test() {
- DB_NAME=":memory:" esetup.py test || die
-}
-
-pkg_preinst() {
- fowners trytond:trytond /var/log/trytond
- fowners trytond:trytond /var/lib/trytond
-}
-
-pkg_postinst() {
- if use postgres; then
- elog "In order to setup the initial database, run:"
- elog " emerge --config =${CATEGORY}/${PF}"
- elog "Be sure the database is started before"
- fi
-}
-
-pquery() {
- psql -q -At -U postgres -d template1 -c "$@"
-}
-
-pkg_config() {
- einfo "In the following, the 'postgres' user will be used."
- if ! pquery "SELECT usename FROM pg_user WHERE usename = 'trytond'" |
grep -q trytond; then
- ebegin "Creating database user trytond"
- createuser --username=postgres --createdb --no-adduser trytond
- eend $? || die "Failed to create database user"
- fi
-}
diff -r db657cf27fbc -r 35d0545b5c48 app-office/trytond/trytond-5.6.6.ebuild
--- /dev/null Thu Jan 01 00:00:00 1970 +0000
+++ b/app-office/trytond/trytond-5.6.6.ebuild Wed Sep 16 23:18:44 2020 +0200
@@ -0,0 +1,102 @@
+# Copyright 1999-2020 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+PYTHON_COMPAT=( python3_{5..8} )
+
+inherit distutils-r1
+
+DESCRIPTION="A three-tiers high-level general purpose business application
framework"
+HOMEPAGE="http://www.tryton.org/"
+SRC_URI="mirror://pypi/${PN:0:1}/${PN}/${P}.tar.gz"
+
+LICENSE="GPL-3"
+SLOT="0"
+KEYWORDS="~amd64 ~x86"
+IUSE="doc graphviz mysql +postgres sqlite levenshtein bcrypt html2text
weasyprint coroutine test"
+
+RDEPEND="acct-group/trytond
+ acct-user/trytond
+ postgres? ( >=dev-python/psycopg-2.5.4[$PYTHON_USEDEP] )
+ sqlite? ( dev-lang/python:*[sqlite] )
+ >=dev-python/lxml-2.0[$PYTHON_USEDEP]
+ >=dev-python/relatorio-0.7[fodt,$PYTHON_USEDEP]
+ dev-python/genshi[$PYTHON_USEDEP]
+ dev-python/python-dateutil[$PYTHON_USEDEP]
+ dev-python/polib[$PYTHON_USEDEP]
+ >=dev-python/python-sql-0.5[$PYTHON_USEDEP]
+ dev-python/werkzeug[$PYTHON_USEDEP]
+ dev-python/wrapt[$PYTHON_USEDEP]
+ dev-python/passlib[$PYTHON_USEDEP]
+ graphviz? ( dev-python/pydot[$PYTHON_USEDEP] )
+ levenshtein? ( dev-python/python-levenshtein[$PYTHON_USEDEP] )
+ bcrypt? ( dev-python/passlib[bcrypt,$PYTHON_USEDEP] )
+ html2text? ( dev-python/html2text[$PYTHON_USEDEP] )
+ weasyprint? ( dev-python/weasyprint[$PYTHON_USEDEP] )
+ coroutine? ( >=dev-python/gevent-1.1[$PYTHON_USEDEP] )"
+DEPEND="${RDEPEND}
+ dev-python/setuptools[$PYTHON_USEDEP]
+ doc? ( >=dev-python/sphinx-0.3 )
+ test? (
+ dev-lang/python:*[sqlite]
+ )"
+
+src_compile() {
+ distutils-r1_src_compile
+
+ if use doc; then
+ pushd doc > /dev/null
+ emake html || die "Generation of HTML documentation failed"
+ popd > /dev/null
+ fi
+}
+
+src_install() {
+ distutils-r1_src_install
+
+ newinitd "${FILESDIR}"/trytond-init.d-2 trytond
+ newinitd "${FILESDIR}"/trytond-cron-init.d-2 trytond-cron
+ newinitd "${FILESDIR}"/trytond-worker-init.d trytond-worker
+ newconfd "${FILESDIR}"/trytond-conf.d-2 trytond
+ newconfd "${FILESDIR}"/trytond-conf.d-2 trytond-cron
+ newconfd "${FILESDIR}"/trytond-conf.d-2 trytond-worker
+ keepdir /var/log/trytond
+ keepdir /var/lib/trytond
+ fperms 770 /var/lib/trytond
+
+ dodoc CHANGELOG COPYRIGHT README.rst
+ if use doc; then
+ docinto html
+ dodoc -r doc/_build/html/*
+ fi
+}
+
+python_test() {
+ DB_NAME=":memory:" esetup.py test || die
+}
+
+pkg_preinst() {
+ fowners trytond:trytond /var/log/trytond
+ fowners trytond:trytond /var/lib/trytond
+}
+
+pkg_postinst() {
+ if use postgres; then
+ elog "In order to setup the initial database, run:"
+ elog " emerge --config =${CATEGORY}/${PF}"
+ elog "Be sure the database is started before"
+ fi
+}
+
+pquery() {
+ psql -q -At -U postgres -d template1 -c "$@"
+}
+
+pkg_config() {
+ einfo "In the following, the 'postgres' user will be used."
+ if ! pquery "SELECT usename FROM pg_user WHERE usename = 'trytond'" |
grep -q trytond; then
+ ebegin "Creating database user trytond"
+ createuser --username=postgres --createdb --no-adduser trytond
+ eend $? || die "Failed to create database user"
+ fi
+}